Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Modified some functions and datatypes. Simix API changed too.
[simgrid.git] / configure
index 3b4e15c..a5e2e91 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 1.135 .
+# From configure.ac Revision: 1.143 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59 for simgrid 3.1.1-cvs.
 #
@@ -466,7 +466,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS PTH_STACK_GROWTH pth_skaddr_makecontext pth_sksize_makecontext SIMGRID_DEP GRAS_DEP GRAMINE_MODE_TRUE GRAMINE_MODE_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LD_DYNAMIC_FLAGS abs_builddir abs_srcdir abs_top_builddir abs_top_srcdir BASH WARNING LEX LEXLIB LEX_OUTPUT_ROOT FLEXML HAVE_FLEXML_TRUE HAVE_FLEXML_FALSE DOXYGEN ADDR2LINE ac_configure_args MD5SUM build_id LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB DLLTOOL ac_ct_DLLTOOL AS ac_ct_AS OBJDUMP ac_ct_OBJDUMP CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS PTH_STACK_GROWTH pth_skaddr_makecontext pth_sksize_makecontext USE_SIMIX_TRUE USE_SIMIX_FALSE HAVE_SDP_TRUE HAVE_SDP_FALSE SIMGRID_DEP AM_CFLAGS GRAS_DEP GRAMINE_MODE_TRUE GRAMINE_MODE_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LD_DYNAMIC_FLAGS abs_builddir abs_srcdir abs_top_builddir abs_top_srcdir BASH WARNING LEX LEXLIB LEX_OUTPUT_ROOT FLEXML HAVE_FLEXML_TRUE HAVE_FLEXML_FALSE DOXYGEN ADDR2LINE ac_configure_args MD5SUM build_id LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1038,6 +1038,7 @@ Optional Features:
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
   --disable-libtool-lock  avoid locking (might break parallel builds)
+  --enable-simix          Use the new SimIX module (default=no)
   --enable-maintainer-mode  enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer
   --enable-compile-warnings
@@ -3731,7 +3732,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3734 "configure"' > conftest.$ac_ext
+  echo '#line 3735 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5564,7 +5565,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5567:" \
+echo "$as_me:5568:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6625,11 +6626,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6628: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6629: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6632: \$? = $ac_status" >&5
+   echo "$as_me:6633: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6893,11 +6894,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6896: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6897: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6900: \$? = $ac_status" >&5
+   echo "$as_me:6901: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6997,11 +6998,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7000: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7001: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7004: \$? = $ac_status" >&5
+   echo "$as_me:7005: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9355,7 +9356,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9358 "configure"
+#line 9359 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9455,7 +9456,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9458 "configure"
+#line 9459 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11793,11 +11794,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11796: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11797: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11800: \$? = $ac_status" >&5
+   echo "$as_me:11801: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11897,11 +11898,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11900: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11901: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11904: \$? = $ac_status" >&5
+   echo "$as_me:11905: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13485,11 +13486,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13488: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13489: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13492: \$? = $ac_status" >&5
+   echo "$as_me:13493: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13589,11 +13590,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13592: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13593: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13596: \$? = $ac_status" >&5
+   echo "$as_me:13597: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15812,11 +15813,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15815: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15816: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15819: \$? = $ac_status" >&5
+   echo "$as_me:15820: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16080,11 +16081,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16083: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16084: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16087: \$? = $ac_status" >&5
+   echo "$as_me:16088: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16184,11 +16185,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16187: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16188: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16191: \$? = $ac_status" >&5
+   echo "$as_me:16192: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -20590,12 +20591,14 @@ done
 
 
 
+
 for ac_func in gettimeofday usleep \
                 getdtablesize \
                 sysconf\
                 readv\
                popen\
-               signal
+               signal\
+               getline
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -21138,10 +21141,6 @@ _ACEOF
 
 fi
 
-# we don't use those:
-# A C_CHECK_FUNC( asnprintf, :,   A C_DEFINE(NEED_ASNPRINTF,  1, enable the asnprintf  replacement))
-# A C_CHECK_FUNC(vasnprintf, :,   A C_DEFINE(NEED_VASNPRINTF, 1, enable the vansprintf replacement))
-
 
 # Checks for typedefs, structures, and compiler characteristics.
 echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
@@ -23597,8 +23596,6 @@ echo "${ECHO_T}${T_MD}Checking for threads, contexts or assimilated...${T_ME}" >
 
 
 
-echo "$as_me:$LINENO: checking on top of what can we build the contexts" >&5
-echo $ECHO_N "checking on top of what can we build the contexts... $ECHO_C" >&6
 
 echo "$as_me:$LINENO: checking for usable SVR4/SUSv2 makecontext(2)/swapcontext(2)" >&5
 echo $ECHO_N "checking for usable SVR4/SUSv2 makecontext(2)/swapcontext(2)... $ECHO_C" >&6
@@ -23627,10 +23624,10 @@ ucontext_t uc_main;
 
 void child(void *arg)
 {
-    if (arg != (void *)12345)
+    if (arg != (void *)2147483648)
         exit(1);
     if (swapcontext(&uc_child, &uc_main) != 0)
-        exit(1);
+        exit(2);
 }
 
 int main(int argc, char *argv[])
@@ -23640,28 +23637,28 @@ int main(int argc, char *argv[])
 
     /* the default is that it fails */
     if ((fp = fopen("conftestval", "w")) == NULL)
-        exit(1);
+        exit(3);
     fprintf(fp, "no\n");
     fclose(fp);
 
     /* configure a child user-space context */
     if ((stack = malloc(64*1024)) == NULL)
-        exit(1);
+        exit(4);
     if (getcontext(&uc_child) != 0)
-        exit(1);
+        exit(5);
     uc_child.uc_link = NULL;
     uc_child.uc_stack.ss_sp = (char *)stack+(32*1024);
     uc_child.uc_stack.ss_size = 32*1024;
     uc_child.uc_stack.ss_flags = 0;
-    makecontext(&uc_child, child, 2, (void *)12345);
+    makecontext(&uc_child, child, 2, (void *)2147483648);
 
     /* switch into the user context */
     if (swapcontext(&uc_main, &uc_child) != 0)
-        exit(1);
+        exit(6);
 
     /* Fine, child came home */
     if ((fp = fopen("conftestval", "w")) == NULL)
-        exit(1);
+        exit(7);
     fprintf(fp, "yes\n");
     fclose(fp);
 
@@ -24218,8 +24215,8 @@ _ACEOF
   LIBS="-lpthread $LIBS"
 
 else
-  { { echo "$as_me:$LINENO: error: Cannot find pthreads, no way (try --with-context=ucontext if you haven't already tried)." >&5
-echo "$as_me: error: Cannot find pthreads, no way (try --with-context=ucontext if you haven't already tried)." >&2;}
+  { { echo "$as_me:$LINENO: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&5
+echo "$as_me: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 
 fi
 
+
+#########################################
+## Build optional modules (simix)
+##
+
+  echo "$as_me:$LINENO: result: " >&5
+echo "${ECHO_T}" >&6
+  echo "$as_me:$LINENO: result: ${T_MD}Optional modules${T_ME}" >&5
+echo "${ECHO_T}${T_MD}Optional modules${T_ME}" >&6
+
+# Check whether --enable-simix or --disable-simix was given.
+if test "${enable_simix+set}" = set; then
+  enableval="$enable_simix"
+  enable_simix=$enableval
+else
+  enable_simix=no
+fi;
+if test "x$enable_simix" = "xyes" ; then
+  echo "$as_me:$LINENO: result: \"***** You have decided to use the experimental SimIX. We hope you know what you're doing.. ****\"" >&5
+echo "${ECHO_T}\"***** You have decided to use the experimental SimIX. We hope you know what you're doing.. ****\"" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_SIMIX 1
+_ACEOF
+
+else
+  echo "$as_me:$LINENO: result: Eventually you will come to SimIX: x$enable_simix" >&5
+echo "${ECHO_T}Eventually you will come to SimIX: x$enable_simix" >&6
+fi
+
+
+if test x$enable_simix != xno; then
+  USE_SIMIX_TRUE=
+  USE_SIMIX_FALSE='#'
+else
+  USE_SIMIX_TRUE='#'
+  USE_SIMIX_FALSE=
+fi
+
+
 #########################################
 ## Check for libraries extra-dependencies
 ##
@@ -24643,10 +24680,175 @@ echo "${ECHO_T}" >&6
   echo "$as_me:$LINENO: result: ${T_MD}Checking extra libraries dependencies...${T_ME}" >&5
 echo "${ECHO_T}${T_MD}Checking extra libraries dependencies...${T_ME}" >&6
 
+
 SIMGRID_DEP=""
+GRAS_DEP=""
+echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
+echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
+if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpthread  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char pthread_create ();
+int
+main ()
+{
+pthread_create ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_pthread_pthread_create=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_pthread_pthread_create=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6
+if test $ac_cv_lib_pthread_pthread_create = yes; then
+  SIMGRID_DEP="-lpthread"; GRAS_DEP="-lpthread"
+fi
+
+
+echo "$as_me:$LINENO: checking for csdp" >&5
+echo $ECHO_N "checking for csdp... $ECHO_C" >&6
+sdp=no
+echo "$as_me:$LINENO: checking for sdp in -lsdp" >&5
+echo $ECHO_N "checking for sdp in -lsdp... $ECHO_C" >&6
+if test "${ac_cv_lib_sdp_sdp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsdp -llapack -lblas -lm $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char sdp ();
+int
+main ()
+{
+sdp ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_sdp_sdp=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_sdp_sdp=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_sdp_sdp" >&5
+echo "${ECHO_T}$ac_cv_lib_sdp_sdp" >&6
+if test $ac_cv_lib_sdp_sdp = yes; then
+  csdp=yes
+else
+  csdp=no
+fi
+
+if test "x$csdp" = xyes; then
+  SIMGRID_DEP="$SIMGRID_DEP -lsdp -llapack -lblas -lm"
+  echo "$as_me:$LINENO: result: Found working sdp library." >&5
+echo "${ECHO_T}Found working sdp library." >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SDP 1
+_ACEOF
+
+else
+  echo "$as_me:$LINENO: result: Could not find any working sdp library." >&5
+echo "${ECHO_T}Could not find any working sdp library." >&6
+fi;
+
+
+if test x$csdp != xno; then
+  HAVE_SDP_TRUE=
+  HAVE_SDP_FALSE='#'
+else
+  HAVE_SDP_TRUE='#'
+  HAVE_SDP_FALSE=
+fi
+
+
 
 
-GRAS_DEP=""
 echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
 echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
 if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
@@ -24785,7 +24987,9 @@ fi
 echo "$as_me:$LINENO: checking for extra dependencies of libgras" >&5
 echo $ECHO_N "checking for extra dependencies of libgras... $ECHO_C" >&6
 case $host_os in
-  *mingw* ) GRAS_DEP="$GRAS_DEP -lws2_32" ; SIMGRID_DEP="$SIMGRID_DEP -lws2_32" ;;
+  *mingw* ) GRAS_DEP="$GRAS_DEP -lws2_32" ; SIMGRID_DEP="$SIMGRID_DEP -lws2_32";
+            AM_CFLAGS=-DDLL_EXPORT
+;;
 esac
 
 if test "x$GRAS_DEP" = x; then
@@ -24797,6 +25001,7 @@ echo "${ECHO_T}$GRAS_DEP" >&6
 fi
 
 
+
 ##############################################
 ## Enhance maintainer mode and SUBST variables
 ## (must be placed after any compilation tests since our overprotective flags
@@ -25542,6 +25747,7 @@ echo "${ECHO_T}${T_MD}Generating files...${T_ME}" >&6
                     ac_config_files="$ac_config_files tools/Makefile tools/gras/Makefile"
 
 
+
 # GRAMINE_CUT_BEGIN
 
 # Tools NOT being embeeded in gramine
@@ -25692,6 +25898,20 @@ echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${USE_SIMIX_TRUE}" && test -z "${USE_SIMIX_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"USE_SIMIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_SIMIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${HAVE_SDP_TRUE}" && test -z "${HAVE_SDP_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"HAVE_SDP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_SDP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${GRAMINE_MODE_TRUE}" && test -z "${GRAMINE_MODE_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"GRAMINE_MODE\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -26380,7 +26600,12 @@ s,@LIBOBJS@,$LIBOBJS,;t t
 s,@PTH_STACK_GROWTH@,$PTH_STACK_GROWTH,;t t
 s,@pth_skaddr_makecontext@,$pth_skaddr_makecontext,;t t
 s,@pth_sksize_makecontext@,$pth_sksize_makecontext,;t t
+s,@USE_SIMIX_TRUE@,$USE_SIMIX_TRUE,;t t
+s,@USE_SIMIX_FALSE@,$USE_SIMIX_FALSE,;t t
+s,@HAVE_SDP_TRUE@,$HAVE_SDP_TRUE,;t t
+s,@HAVE_SDP_FALSE@,$HAVE_SDP_FALSE,;t t
 s,@SIMGRID_DEP@,$SIMGRID_DEP,;t t
+s,@AM_CFLAGS@,$AM_CFLAGS,;t t
 s,@GRAS_DEP@,$GRAS_DEP,;t t
 s,@GRAMINE_MODE_TRUE@,$GRAMINE_MODE_TRUE,;t t
 s,@GRAMINE_MODE_FALSE@,$GRAMINE_MODE_FALSE,;t t